Skip to main content
`Ctrl`+`K`

# BVView

Prints the `BV` data structure.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVView(BV bv,PetscViewer viewer)

Collective

## Input Parameters

- bv - the basis vectors context

- viewer - optional visualization context

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

Use `BVViewFromOptions()` to allow the user to select many different `PetscViewerType` and formats from the options database.

## See Also

BV: Basis Vectors, `BVCreate()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvfunc.c

## Implementations

BVView_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVView_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVView_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVView_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c
BVView_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages